package com.ywt.outpatient.params.mg.goods;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value = "增加或修改商品")
public class GoodsVoRequest {

    @ApiModelProperty(value = "商品ID", example = "")
    private Integer id;

    @ApiModelProperty(value = "商品名称", example = "")
    private String name;

    @ApiModelProperty(value = "品牌名称", example = "")
    private String brandName;

    @ApiModelProperty(value = "种类id", example = "")
    private Integer typeId;

    @ApiModelProperty(value = "规格", example = "")
    private String spec;

    @ApiModelProperty(value = "商品单位Id", example = "")
    private Integer unitId;

    @ApiModelProperty(value = "商品单价", example = "")
    private Integer unitPrice;

    @ApiModelProperty(value = "商品库存", example = "")
    private Integer inventory;

    @ApiModelProperty(value = "权重", example = "")
    private Integer weight;

    @ApiModelProperty(value = "商品图片", example = "")
    private String pic;

    @ApiModelProperty(value = "状态", example = "")
    private Integer status;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public Integer getTypeId() {
        return typeId;
    }

    public void setTypeId(Integer typeId) {
        this.typeId = typeId;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public Integer getUnitId() {
        return unitId;
    }

    public void setUnitId(Integer unitId) {
        this.unitId = unitId;
    }

    public Integer getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(Integer unitPrice) {
        this.unitPrice = unitPrice;
    }

    public Integer getInventory() {
        return inventory;
    }

    public void setInventory(Integer inventory) {
        this.inventory = inventory;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
